summaryrefslogtreecommitdiffstats
path: root/network/emacs-w3m/emacs-w3m.SlackBuild
diff options
context:
space:
mode:
author Felix Pfeifer2010-08-28 14:07:40 +0200
committer Erik Hanson2010-08-29 22:32:14 +0200
commit0c218fe9a0caa5529cb479248c73fbf981a5f860 (patch)
treeabac6ce64f4e68d945e6f7d10601ab087626a3c0 /network/emacs-w3m/emacs-w3m.SlackBuild
parent1cef10bc23da8bbb43995bc4ceb858e1210f5c53 (diff)
downloadslackbuilds-0c218fe9a0caa5529cb479248c73fbf981a5f860.tar.gz
network/emacs-w3m: Added (simple Emacs interface of w3m)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'network/emacs-w3m/emacs-w3m.SlackBuild')
-rw-r--r--network/emacs-w3m/emacs-w3m.SlackBuild89
1 files changed, 89 insertions, 0 deletions
diff --git a/network/emacs-w3m/emacs-w3m.SlackBuild b/network/emacs-w3m/emacs-w3m.SlackBuild
new file mode 100644
index 0000000000..99ccfccebd
--- /dev/null
+++ b/network/emacs-w3m/emacs-w3m.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for emacs-w3m
+
+# Written by Felix Pfeifer (pfeifer[dot]felix[at]googlemail[dot]com
+
+PRGNAM=emacs-w3m
+VERSION=${VERSION:-cvs_1.4.400_0.20100725}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo} # For consistency's sake, use this
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp} # Drop the package in /tmp
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/w3m-el-snapshot_1.4.400+0.20100725.orig.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+autoconf
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=$PKG/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install prefix=$PKG/usr
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ [BCNR]* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+